System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable

The actual value of the object is stored in .

Represents a currency value ranging from -2 63 (or -922,337,203,685,477.5808) to 2 63 -1 (or +922,337,203,685,477.5807) with an accuracy to a ten-thousandth of currency unit to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the class with the specified value.

  The monetary value to initialize.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with specified double value.

  The monetary value to initialize.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified integer value.

  The monetary value to initialize.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified long integer value.

  The monetary value to initialize.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney `` `` To be added

  Calculates the sum of the two parameters.

  A new stucture whose contains the sum of the two parameters.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney `` `` To be added

  The division operator divides the first parameter by the second.

  A new structure whose contains the results of the division.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  Equals will return true if the object is an instance of and the two are equal; otherwise false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlMoney will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string that indicates the XSD of the specified .

  An .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Returns a Boolean value that indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlMoney

  The value of this constant is 922,337,203,685,477.5807

  Represents the maximum value that can be assigned to the property of an instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlMoney

  The value of this constant is -922,337,203,685,477.5808

  Represents the minimum value that can be assigned to property of an instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney `` `` To be added

  The multiplicaion operator calculates the product of the two parameters.

  A new structure whose contains the product of the multiplication.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlMoney

  functions as a constant for the class. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` `` To be added.

  Calculates the sum of the two parameters.

  A new stucture whose contains the sum of the two parameters.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` `` To be added.

  The division operator divides the first parameter by the second.

  A new structure whose contains the results of the division.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Decimal `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` `` To be added.

  The multiplicaion operator calculates the product of the two parameters.

  A new structure whose contains the product of the multiplication.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` `` To be added.

  The subtraction operator subtracts the second parameter from the first.

  A new structure that contains the results of the subtraction.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlMoney `` To be added.

  The unary minus operator negates the parameter.

  A structure whose contains the results of the negation.

  The structure to be negated.
- Method
  System.Data.SqlTypes.SqlMoney `` To be added

  Converts the representation of a number to its equivalent.

  A equivalent to the value that is contained in the specified .

  The String to be parsed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney `` `` To be added

  The subtraction operator subtracts the second parameter from the first.

  A new structure that contains the results of the subtraction.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Decimal To be added

  Converts the Value of this instance of as a structure.

  A structure whose value equals the property of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Double To be added

  Converts this structure to a .

  A double with a value equal to this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  Converts this structure to an .

  A 32-bit integer whose value equals the integer part of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 To be added

  Converts the Value of this structure to an .

  A 64-bit integer whose value equals the integer part of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  A structure. If the value of the structure is zero, the structure's value will be . Otherwise, .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A structure whose value is a string representing the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this instance of to string.

  A string whose value is the string representation of the value of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Decimal To be added: an object of type 'decimal' To be added

  Gets the monetary value of an instance of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlMoney

  functions as a constant for the class.

  Represents the zero value that can be assigned to the property of an instance of the class.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")